@import url('https://fonts.googleapis.com/css2?family=Fira+Sans+Condensed:wght@200&display=swap');
@import url('https://fonts.googleapis.com/css2?family=B612+Mono&family=Nanum+Gothic+Coding&family=Sora:wght@100;200;300&display=swap');

* {
    padding: 0; margin: 0;
    scroll-behavior: smooth;
    box-sizing: border-box;
    font-family: 'Sora', sans-serif;
}

html, body {
    min-height: 100% !important;
    height: 100%;
}

:root {
    --color-text:       #ababab;
    --color-bg-dark:    #262431;
    --color-bg-light:   #32303f;
    --color-main:       #4B9F23;
    --color-blue:       #00A7DE;
    --color-blue-dark:  #0071A6;
    --color-grey:       #4d4d4d;
    --color-facebook:   #4267B2;
    --color-booking:    #003580;
}

body {
    font-size: 15px;
    background-color: var(--color-bg-light);
    color: white;
}

/* Nav Styling */

header {
    position: fixed;
    width: 300px;
    height: 100%;
    background: var(--color-bg-dark);
    border-right: 1px solid #00000040;
    z-index: 10;
    -webkit-box-shadow: 15px 0px 37px -30px rgba(0, 0, 0, 1);
    -moz-box-shadow: 15px 0px 37px -30px rgba(0, 0, 0, 1);
    box-shadow: 15px 0px 37px -30px rgba(0, 0, 0, 1);
}

.nav-default {
    width: 300px;
    display: flex;
    justify-content: center;
    padding: 30px 0;
}

.nav-default img {
    width: 250px;
}

.burger {
    background: transparent;
    border: none;
    outline: none;
    cursor: pointer;
    display: none;
}

.burger:focus-visible {
    outline: 1px white solid;
}

.line {
    width: 40px;
    height: .3em;
    margin: 6px;
    border-radius: 20px;
    transition: .3s ease-in-out;
}

.burger.active .line:first-child {
    transform: translateY(11px) rotate(45deg);
}

.burger.active .line:nth-child(2) {
    width: 0%;
    background-color: transparent;
}

.burger.active .line:nth-child(3) {
    transform: translateY(-11px) rotate(-45deg);
}
.line {
    width: 40px;
    height: 5px;
    background-color: #fff;
    border-radius: 5px;
}

.nav-list {
    display: flex;
    list-style: none;
    flex-direction: column;
    text-align: center;
}

.nav-list__element {
    width: 100%;
    height: 60px;
    border-top: 1px solid #00000040; 
}

.nav-list__element:last-child {
    border-bottom: 1px solid #00000040;
}

.nav-list__element__background li {
    font-family: 'Fira Sans Condensed', sans-serif;
}

.nav-list__element {
    display: flex;
    justify-content: center;
    align-items: center;
    text-decoration: none;
    color: #fff;
    height: 60px;
    padding: 20px;
    transition: .2s ease-in-out;
}

.nav-list__element:hover {
    color: var(--color-main);
    font-weight: bolder;
}

.current {
    color: var(--color-blue);
    font-weight: bolder;
}

.current:hover {
    color: var(--color-blue);
}

.nav-social {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    margin: 30px auto;
    width: 200px;
}

.nav-social__buttons {
    position: relative;
    width: 40px;
    height: 40px;
    border-radius: 5px;
    padding: 10px;
    text-align: center;
    transition: 0s ease-in-out;   
    -webkit-box-shadow: 0px 0px 20px -5px #000000;
    -moz-box-shadow: 0px 0px 20px -5px #000000;
    box-shadow: 0px 0px 20px -5px #000000;
}

.button-facebook {
    background-color:var(--color-facebook);
}

.button-booking {
    background-color:var(--color-booking);
}

.button-call {
    background-color: var(--color-main);
}

.nav-social a {
    text-decoration: none;
    color: #fff;
    font-size: 18px;
    width: 40px;
    height: 40px;
}

.nav-social a:hover .nav-social__buttons {
    background: #99999950;
}

.tooltiptext {
    position: absolute;
    display: flex;
    bottom: 110%;
    left: -50%;
    background-color: var(--color-bg-light);
    padding: 0 5px;
    border-radius: 5px;
    display: none;
    font-size: 14px;
}

.tooltip-booking  {
    left: -15px;
}

.tooltip-call {
    left: -18px;
}

.nav-social__buttons:hover .tooltiptext {
    display: block;
}

/* Weather Styling */

.weather-button {
    position: absolute;
    display: flex;
    justify-content: center;
    padding-top: 15px;
    width: 200px;
    height: 55px;
    background-color: #d1daff;
    bottom: 98%;
    border-top-left-radius: 5px;
    border-top-right-radius: 5px;
    cursor: pointer;
    transition: .2s ease-in-out;
    color: #000;
    font-weight: bolder;
    text-transform: uppercase;
    font-family: 'Fira Sans Condensed', sans-serif;
    -webkit-box-shadow: 0px 0px 20px -5px #000000;
    -moz-box-shadow: 0px 0px 20px -5px #000000;
    box-shadow: 0px 0px 20px -5px #000000;
}

.weather-button i {
    margin-left: 5px;
}

.rotate-arrow {
    transform: rotate(180deg);
    margin-bottom: 25px;
}

.weather {
    width: 300px;
    position: fixed;
    display: flex;
    justify-content: center;
    bottom: 25px;
    transition: .5s ease-in-out;
    transform: translateY(110%);
    z-index: 10;
}

.weather-active {
    transform: translateY(0%);
}

.weatherwidget-io {
    width: 200px;
    border-radius: 10px;
    -webkit-box-shadow: 0px 0px 20px -5px #000000;
    -moz-box-shadow: 0px 0px 20px -5px #000000;
    box-shadow: 0px 0px 20px -5px #000000;
}

/* Banner Styling */

.banner {
    display: flex;
    justify-content: center;
    width: 100%;
    height: 600px;
    background: url(../img/background-slide-1.png);
    background-position: center;
    background-repeat: no-repeat;
    margin: 0 auto;
    animation: slide 20s infinite;
}

@keyframes slide {
    33% {
        background: url(../img/background-slide-2.png);
        background-position: center;
        background-repeat: no-repeat;
    }
    66% {
        background: url(../img/background-slide-3.png);
        background-position: center;
        background-repeat: no-repeat;
    }
    100% {
        background: url(../img/background-slide-1.png);
        background-position: center;
        background-repeat: no-repeat;
    }
}

.banner-content {
    width: 100vw;
    margin: 0 10%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.banner-content img {
    max-width: 500px;
    width: 100%;
    margin: 20px auto;
    min-width: 10px;
    max-width: 500px;
}

/* Offer Styling */

.offer {
    display: flex;
    flex-direction: column;
    align-items: center;
    width: 100%;
    -webkit-box-shadow: 0px 0px 10px 5px #00000099;
    -moz-box-shadow: 0px 0px 10px 5px #00000099;
    box-shadow: 0px 0px 10px 5px #00000099;
}

.offer-columns {
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
    gap: 3rem;
    width: 90%;
    height: auto;
    margin: 25px 0;
}

.offer-block__container {
    display: flex;
    gap: 3rem;
}

.offer-block {
    display: flex;
    align-items: center;
    flex-direction: column;
    text-align: center;
    gap: 2rem;
    background: linear-gradient(
        to top right,
        var(--color-bg-dark),
        #00000099
    );
    padding: 80px;
    border-radius: 15px;
    flex: 1;
    width: 200px;
    max-width: 200px;
    text-transform: uppercase;
    font-size: 18px;
    -webkit-box-shadow: 0px 0px 20px -5px #000000;
    -moz-box-shadow: 0px 0px 20px -5px #000000;
    box-shadow: 0px 0px 20px -5px #000000;
}

.offer-block i {
    font-size: 60px;
}

.offer h1 {
    text-transform: uppercase;
}

.offer-desc {
    display: flex;
    width: 80%;
    padding: 0 30px;
    gap: 3rem;
}

.benefits, .for-visitors{
    display: flex;
    flex-direction: column;
    line-height: 40px;
    text-align: justify;
    width: 35%;
    margin: 25px 0;
    color: var(--color-text)
}

.reservation {
    display: flex;
    align-items: center;
}

.reservation--btn {
    display: flex;
    align-items: center;
    justify-content: center;
    margin: 20px;
    padding: 10px 25px;
    border-radius: 25px;
    width: 25%;
    height: 75px;
    min-width: 150px;
    cursor: pointer;
    transition: .3s ease-in-out;
    background-color: #fff;
    color: #000;
    font-weight: bolder;
}

.reservation-block a{
    color: #000;
    text-decoration: none;
}
.reservation--btn:focus {
    outline: none;
}

.reservation--btn:hover {
    background: #ffffff50;    
}

.offer-point i {
    color: var(--color-main);
    width: 25px;
    text-align: center;
    margin-right: 10px;
}

/* Gallery Button Styling */

.gallery-link {
    color: #fff;
    text-decoration: none;
}

.gallery-button {
    display: flex;
    justify-content: center;
    align-items: center;
    height: auto;
    background: url(../img/home-1-dark.png);
    background-color: var(--color-bg-dark);
    background-position: center;
    background-repeat: no-repeat;
    transition: 0.7s ease-in-out;
    background-size: 2000px;
    -webkit-box-shadow: 0px 0px 20px -5px #000000;
    -moz-box-shadow: 0px 0px 20px -5px #000000;
    box-shadow: 0px 0px 20px -5px #000000;
}

.gallery-button:hover .subpage-header {
    background: #00000050;
    transform: scale(1.05);
} 

.gallery-button:hover {
    background-size: 2100px;
}

.gallery-button .subpage-header {
    text-align: center;
    background: #00000099;
    backdrop-filter: blur(3px);
    transition: 0.7s ease-in-out;
}

.gallery-button .subpage-header h1 {
    font-size: 25px;
    font-weight: 400;
    transition: 0.7s ease-in-out;
}

/* Footer Styling */

footer {
    width: 100%;
}

.footer__container {
    display: grid;
    gap: 2rem;
    grid-template-columns: 1fr 1fr 1fr;
    padding-bottom: 15px;
    color: var(--color-text);
    -webkit-box-shadow: 0px 0px 20px -5px #000000;
    -moz-box-shadow: 0px 0px 20px -5px #000000;
    box-shadow: 0px 0px 20px -5px #000000;
}

.footer--info {
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;
}

.footer--info a{
    color: var(--color-text);
    text-decoration: none;
    font-size: 20px;
    padding: 5px 10px;
    border: dashed 1px var(--color-bg-dark);
    background: var(--color-bg-dark);
    border-radius: 25px;
    margin: 10px 0;
    transition: all .2s ease-in-out;
    -webkit-box-shadow: 0px 0px 20px -5px #00000099;
    -moz-box-shadow: 0px 0px 20px -5px #00000099;
    box-shadow: 0px 0px 20px -5px #00000099;
}

.footer--info a:hover {
    background: transparent;
    border: 1px dashed var(--color-text);
    color: #fff;
}

.footer--info a i {
    font-size: 15px;
    
}

.footer--info img {
    max-width: 80% ;
    max-height: 80px;
    margin: 30px 0; 
}

.footer--info p {
    margin: 15px 10%;
    text-align: justify;
    font-size: 13px;
}

.footer--info .links {
    display: flex;
    gap: 1rem;
    
}

.footer--info .links a{
    border-radius: 5px;
    width: 35px;
    aspect-ratio: 1/1;
    text-align: center;
    border: none;
}

.footer--con {
    display: flex;
    flex-direction: column;
    align-items: center;
    font-size: 13px;
    text-align: center;
}

.footer--con a{
    color: var(--color-text);
    text-decoration: none;
    font-size: 15px;
    padding: 5px 10px;
    border: dashed 1px var(--color-bg-dark);
    background: var(--color-bg-dark);
    border-radius: 15px;
    margin-bottom: 10px;
    transition: all .2s ease-in-out;
    -webkit-box-shadow: 0px 0px 20px -5px #00000050;
    -moz-box-shadow: 0px 0px 20px -5px #00000050;
    box-shadow: 0px 0px 20px -5px #00000050;
}

.footer--con a:hover {
    background: transparent;
    border: 1px dashed var(--color-text);
    color: #fff;
}

.footer--con a i {
    margin-right: 10px;
    font-size: 15px;
}

.footer--info .links .footer-location:hover {
    background-color: var(--color-main);
}

.footer--info .links .footer-booking:hover {
    background-color: var(--color-booking);
}

.footer--info .links .footer-facebook:hover {
    background-color: var(--color-facebook);
}

.footer--shortcut {
    display: flex;
    flex-direction: column;
    align-items: center;
}

.footer--shortcut ul {
    list-style: none;
    border: dashed 1px var(--color-bg-dark);
    background: var(--color-bg-dark);
    border-radius: 15px;
    text-align: center;
    -webkit-box-shadow: 0px 0px 20px -5px #00000050;
    -moz-box-shadow: 0px 0px 20px -5px #00000050;
    box-shadow: 0px 0px 20px -5px #00000050;
}

.footer--shortcut ul li {
    line-height: 40px;
    width: 125px;
}

.footer--shortcut ul li a{
    color: var(--color-text);
    padding: 10px 10px;
    text-decoration: none;
}

.footer--shortcut ul li a:hover {
    color: #fff;
} 


.footer-header {
    font-size: 18px;
    padding: 20px;
    color: var(--color-text);
}

.footer--copyright {
    display: flex;
    justify-content: center;
    padding: 25px 0;
    background-color: var(--color-bg-dark);
    width: 100%;
    height: 100px;
    -webkit-box-shadow: 0px 0px 20px -5px #000000;
    -moz-box-shadow: 0px 0px 20px -5px #000000;
    box-shadow: 0px 0px 20px -5px #000000;
}

.footer--copyright i {
    font-size: 10px;
}


/* --------- SUBPAGES Styling --------- */

.around-page {
    background: url(../img/subpage-background-2.png);
    background-position: center;
    background-repeat: no-repeat;
    -webkit-box-shadow: inset 0px -20px 20px -20px #000000;
    -moz-box-shadow: inset 0px -20px 20px -20px #000000;
    box-shadow: inset 0px -20px 20px -20px #000000;
}

.gallery-page {
    background: url(../img/subpage-background-3.png);
    background-position: center;
    background-repeat: no-repeat;
    -webkit-box-shadow: inset 0px -20px 20px -20px #000000;
    -moz-box-shadow: inset 0px -20px 20px -20px #000000;
    box-shadow: inset 0px -20px 20px -20px #000000;
}

.price-page {
    background: url(../img/subpage-background-1.png);
    background-position: center;
    background-repeat: no-repeat;
    -webkit-box-shadow: inset 0px -20px 20px -20px #000000;
    -moz-box-shadow: inset 0px -20px 20px -20px #000000;
    box-shadow: inset 0px -20px 20px -20px #000000;
}

.contact-page {
    -webkit-box-shadow: inset 0px -20px 20px -20px #000000;
    -moz-box-shadow: inset 0px -20px 20px -20px #000000;
    box-shadow: inset 0px -20px 20px -20px #000000;
}

/* Headers Styling */

.background-header {
    display: flex;
    height: auto;
    align-items: center;
    justify-content: center;
    position: relative;
    overflow: hidden;
}

.background-header img {
    min-width: 1620px;
    
}

.subpage-header h1 {
    font-size: 50px;
}

.subpage-header p {
    letter-spacing: 2px;
}

.subpage-header {
    display: flex;
    justify-content: center;
    text-transform: uppercase;
    padding: 25px;
    background: #00000040;
    border-radius: 20px;
    width: 500px;
    flex-direction: column;
    align-items: center;
    z-index: 9;
    margin: 150px 0;
}

/* Contact Styling */

.contact-background {
    width: 100%;
    position: absolute;
    display: block;
    margin: 0 auto;

}

.contact-home {
    display: flex;
    flex-direction: column;
    align-items: center;
    padding: 50px 0;
   
}

.contact-content {
    display: flex;
    justify-content: center;
    gap: 2rem;
    background-position: center;
    border-radius: 50px;
    z-index: 9;
    background: var(--color-bg-dark);
    -webkit-box-shadow: 0px 0px 20px -5px #000000;
    -moz-box-shadow: 0px 0px 20px -5px #000000;
    box-shadow: 0px 0px 20px -5px #000000;
}

.contact-option {
    display: flex;
    flex-direction: column;
    align-items: center;
    height: auto;
    border-radius: 50px;
    padding: 25px;
    font-size: 30px;
    line-height: 50px;
    font-family: 'Fira Sans Condensed', sans-serif;
    
}

.contact-option .underline {
    width: 100%;
    background: var(--color-main);
}

.contact-option div {
    font-size: 30px;
    letter-spacing: 3px;
}

.contact-option i {
    font-size: 40px;
    color: var(--color-main);
    margin-right: 20px;
}

.contact-option a, .contact-option p {
    font-size: 20px;
    text-decoration: none;
    color: #fff;
    font-family: 'Fira Sans Condensed', sans-serif;
    line-height: 50px;
    transition: .2s ease-in-out;
    margin-top: 15px;
}

.contact-option a {
    border: dashed 1px #fff;
    border-radius: 50px;
    padding: 0 10px;
}

.contact-option a:hover {
    border: solid 1px var(--color-main);
    background-color: var(--color-main);
}

/* Google Maps Styling */

.location {
    display: flex;
    flex-direction: column;
    align-items: center;
    background-color: var(--color-bg-dark);
}

/* Send Mail Styling */

.sendmail {
    padding: 0 10%;
    display: flex;
    flex-direction: column;
    background-color: var(--color-bg-dark);
    padding-bottom: 24px;
}

.sendmail .heading i {
    margin-right: 10px;
    font-size: 30px;
}

.sendmail__input{
    display: flex;
    flex-direction: column;
    justify-content: center;
    gap: 10px;
    
}

.sendmail__input input {
    width: 45%;
    min-width: 300px;
}

.sendmail__input > input, textarea, button {
    -webkit-box-shadow: 0px 0px 20px -5px #00000050;
    -moz-box-shadow: 0px 0px 20px -5px #00000050;
    box-shadow: 0px 0px 20px -5px #00000050;
}

.sendmail__button {
    width: 200px;
    cursor: pointer;
    transition: .3s ease-in-out;
}

.sendmail__button:focus-visible {
    outline: 1px solid #fff;
}

.sendmail__input button:hover {
    background-color: var(--color-bg-dark);
}

.sendmail__input input, textarea, button{
    min-height: 50px;
    margin: 5px 0;
    border: none;
    outline: none;
    background-color: var(--color-bg-light);
    border-radius: 5px;
    color: white;
    font-size: 18px;
    padding: 15px;
}

.sendmail__input input::placeholder, .sendmail textarea::placeholder {
    color: rgb(192, 192, 192);
    font-size: 20px;
}

/* Around Styling */

.container {
    padding: 25px 0;
    display: flex;
    flex-direction: column;
    align-items: center;
    background-color: var(--color-bg-dark);
}

.place-desc {
    letter-spacing: 5px;
    font-size: 15px;
    text-transform: uppercase;
    color: var(--color-text);
}

.place-header {
    font-size: 50px;
}

.read-more__container {
    display: flex;
    justify-content: center;
    gap: 1rem;
}

.read-more {
    display: flex;
    justify-content: center;
    align-items: center;
    text-decoration: none;
    padding: 10px 15px;
    margin-top: 25px;
    background-color: #fff;
    border-radius: 5px;
    padding: 10px 15px;
    text-decoration: none;
    color: #000;
    font-weight: bolder;
    border: 1px solid #fff;
    -webkit-box-shadow: 0px 0px 20px -5px #00000099;
    -moz-box-shadow: 0px 0px 20px -5px #00000099;
    box-shadow: 0px 0px 20px -5px #00000099;
}

.read-more:hover {
    background-color: var(--color-bg-light);
    color: #fff;
}

/* Gallery Styling */

.gallery-container {
    padding-top: 24px;
    width: 100%;
    height: auto;
    background: linear-gradient(
        to top right,
        var(--color-bg-dark),
        #00000099
    );
    display: flex;
    align-items: center;
    flex-direction: column;
    padding-bottom: 25px;
    justify-content: center;
}

.gallery-header {
    font-size: 50px;
}

.gallery-desc {
    letter-spacing: 5px;
    font-size: 15px;
    color: var(--color-text);
}

.gallery {
    margin: 0 5%;
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
    gap: 2rem;
    list-style: none;
}

.image img {
    width: 100%;
    object-fit: cover;
    height: 100%;
    border-radius: 10px;
    transition: .3s ease-in-out;
}

.image img:focus-visible {
    transform: scale(1.05);
    filter: brightness(0.5);
    outline: none;
}

.image {
    display: flex;
    justify-content: center;
    align-items: center;
    cursor: pointer;
    width: 300px;
    aspect-ratio: 1/1;
    overflow: hidden;
    border-radius: 10px;
    transition: .3s ease-in-out;
    -webkit-box-shadow: 0px 0px 20px -5px #000000;
    -moz-box-shadow: 0px 0px 20px -5px #000000;
    box-shadow: 0px 0px 20px -5px #000000;
}

.image:hover {
    transform: scale(1.02);
    filter: brightness(0.6);
}

.popup-image {
    position: fixed;
    top: 0;
    left: 0;
    background: #00000099;
    backdrop-filter: blur(3px);
    height: 100%;
    width: 100%;
    z-index: 100;
    display: flex;
    justify-content: center;
    align-items: center;
    animation: fadeIn .3s;
}

.hidden {
    display: none;
}


.popup-image.popup-fadeout {
    animation: fadeOut .3s both;
}

@keyframes fadeIn {
    from {
        opacity: 0;
    }
    to {
        opacity: 1;
    }
}

@keyframes fadeOut {
    from {
        opacity: 1;
    }
    to {
        opacity: 0;
    }
}

.popup-image span {
    position: fixed;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    cursor: pointer;
}


.img_container {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}

.img_container img {
    max-height: 80vh;
    max-width: 95vw;
    border-radius: 24px;
    -webkit-box-shadow: 0px 0px 30px 0px #000000;
    -moz-box-shadow: 0px 0px 30px 0px #000000;
    box-shadow: 0px 0px 30px 0px #000000;
}

.arrows_container {
    z-index: 10;
}

.arrow-slider {
    position: fixed;
    transform: translateY(-50%);
    font-size: 4cqi;
    margin: 0 24px;
    padding: 25px;
    border-radius: 10px;
    text-shadow: 0px 5px 18px #000000;
    cursor: pointer;
    -webkit-box-shadow: 0px 0px 20px -5px #00000099;
    -moz-box-shadow: 0px 0px 20px -5px #00000099;
    box-shadow: 0px 0px 20px -5px #00000099;
}

.left-arrow {
    left: 0;
    top: 50%;
}

.right-arrow {
    right: 0;
    top: 50%;
}

.left-arrow:hover {
    background: linear-gradient(
        to left,
        #00000030,
        #00000099
    );
} 

.right-arrow:hover {
    background: linear-gradient(
        to right,
        #00000030,
        #00000099
    );
} 

/* Prices Styling */

.prices {
    width: 100%;
}

.prices-container {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    margin: 25px 10%;
}

.prices-button {
    margin-top: 25px;
    background-color: #fff;
    border-radius: 5px;
    padding: 10px 15px;
    text-decoration: none;
    color: #000;
    font-weight: bolder;
    border: 1px solid #fff;
}

.prices-button:focus-visible,
.prices-button:hover {
    background-color: var(--color-bg-light);
    color: #fff;
}

/* Main Styling */

main {
    margin-left: 300px;
}

.heading {
    font-size: 40px;
    padding-top: 25px;
    font-weight: lighter;
}

.caption {
    font-size: 30px;
    font-weight: lighter;
    text-align: left;
}

.underline {
    display: flex;
    height: 2px;
    width: 80%;
    max-width: 100px;
    margin: 25px 0;
    background-color: var(--color-blue);
    border: none;
}

.underline-wider {
    width: 350px;
}

.paragraph {
    width: 75%;
    text-align: justify;
    line-height: 30px;
    font-size: 20px;
    margin-bottom: 25px;
    initial-letter: 2;
    font-size: 18px;
}

.paragraph::first-letter {
    float: left;
    font-size: 60px;
    color: var(--color-main);
    padding-right: 10px;
    initial-letter: 2;
    line-height: 60px;
}

.size-17 {
    font-size: 30px;
    text-align: center;
}

.size-15 {
    font-size: 20px;
    text-align: center;
}

.size-13 {
    font-size: 17px;
}

.without-big-letter::first-letter {
    line-height: 30px;
    font-size: 20px;
    initial-letter: 2;
    font-size: 18px;
    color: var(--color-text);
    padding-right: 0;
    float: none;
}

.italic {
    text-align: center;
    justify-content: center;
    font-style: italic;
    margin-bottom: 0;
}

.color-text {
    color: var(--color-text);
}

.color-blue {
    color: var(--color-blue);
}

.color-main {
    color: var(--color-main);
}

.color-white {
    color: #fff;
}

.bolder {
    font-weight: bolder;
}

.upper {
    text-transform: uppercase;
}

@keyframes icons {
    0% {
        transform: rotate(360deg);
    }
    33% {
        transform: rotate(330deg);
    }
    66% {
        transform: rotate(390deg);
    }
    100% {
        transform: rotate(360deg);
    }
    
}

/* SCROLL ADNIMATIONS Styling */

.fade-in {
    opacity: 0;
    transition: opacity 250ms ease-in;
}

.fade-in.appear {
    opacity: 1;
}

.fade-in.appear i {
    animation: icons linear forwards .4s;
}

/* ********************************** */

/* MEDIA Styling */

/* ********************************** */

@media only screen and (max-width: 1300px) {
    .offer-columns, .offer-block__container  {
        flex-direction: column;   
        gap: 1rem;
        align-items: center;
        width: 100%;
    }
    .offer-block {
        max-width: 100%;
        width: 70%;
        padding: 20px 0;
    }
    .offer-desc {
        flex-direction: column;
        align-items: center;
        width: 100%;
        padding: 0;
    }
    .offer-point {
        display: flex;
        font-size: 20px;
        gap: 1rem;
    }
    .offer-point i {
        margin-top: 10px;
    }
    .benefits, .for-visitors {
        width: 70%;
    }
    .reservation {
        width: 70%;
    }

    .reservation-block {
        background: linear-gradient(
        to bottom right,
        transparent,
        var(--color-bg-dark),
        #00000099
        );
        margin-bottom: 80px;
        -webkit-box-shadow: 0px 0px 20px -5px #000000;
        -moz-box-shadow: 0px 0px 20px -5px #000000;
        box-shadow: 0px 0px 20px -5px #000000;
    }

    .reservation--btn {
        margin-top: 25px;
    }
}

@media only screen and (max-width: 1130px) {
    main {
        margin-left: 0;
        padding-top: 150px;
    }
    header {
        width: 100%;
        height: 150px;
        border-right: none;
        z-index: 99;
        -webkit-box-shadow: 0px 15px 37px -30px rgba(0, 0, 0, 1);
        -moz-box-shadow: 0px 15px 37px -30px rgba(0, 0, 0, 1);
        box-shadow: 0px 15px 37px -30px rgba(0, 0, 0, 1);
    }
    .nav-social {
        display: none;
    }
    .nav-list {
        position: absolute;
        background-color: #000000e8;
        height: 60vh;
        width: 100vw;
        transform: translate(0, -100%);
        transition: .2s ease-in-out;
        border: none;
    }
    .nav-list.active {
        transform: translate(0, 150px);
    }
    .burger {
        display: block;
    }
    .overlay {
        position: fixed;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        background: #00000099;
        z-index: 10;
        cursor: pointer;
        display: none;
    }
    .overlay.active {
        display: block;
    }
    .nav-list__element {
        height: 60vh;
        display: flex;
        align-items: center;
        justify-content: center;
        border: none;
    }
    .nav-list__element:last-child {
        border: none;
    }
    .nav-list__element__background {
        justify-content: center;
        align-items: center;
        font-size: 30px;
        letter-spacing: 8px;
        
    }
    .nav-default {
        position: absolute;
        width: 100%;
        display: flex;
        justify-content: space-between;
        align-items: center;
        background: var(--color-bg-dark);
        z-index: 10;
    }
    .nav-default img, .burger {
        margin: 0 20px;
    } 
    .image {
        width: 180px;
    }
    .footer__container {
        grid-template-rows: 1fr 1fr 1fr;
        grid-template-columns: 1fr;
        gap: 0;
        padding: 0 0 50px 0;
    }
    .footer-header {
        font-size: 20px;
    }
    .footer--shortcut ul{
        display: flex;
        flex-direction: column;
        align-items: center;
        width: 50%;
        min-width: 150px;
        
    }
    .gallery-button .subpage-header h1{
        font-size: 3cqi;
    }
    .gallery-button .subpage-header {
        margin-left: 10%;
        margin-right: 10%;
    }
    .gallery-button {
        background-size: 1200px;
    }
    .gallery-button:hover {
        background-size: 1250px;
    }
}

@media only screen and (max-width: 450px) {
    .heading {
        font-size: 30px;
    }
    .paragraph {
        font-size: 14px;
    }
    .offer-block i{
        font-size: 35px;
    }
    .offer-block {
        font-size: 15px;
    }
    .offer-point {
        font-size: 13px;
    }
    .offer-point i {
        width: 5px;
    }
    .nav-default img {
        width: 80%;
    }
    .place-desc {
        font-size: 10px;
        letter-spacing: 2px;
    }
    .place-header {
        font-size: 35px;
    }
    .read-more {
        padding: 5px 10px;
        font-size: 10px;
    }
    .image {
        width: 130px;
    }
    .gallery-button {
        background-size: 850px;
    }
    .gallery-button:hover {
        background-size: 875px;
    }
}
